Loading...
Searching...
No Matches
BALL::EnergyMinimizer::Option Struct Reference

`#include <BALL/MOLMEC/MINIMIZATION/energyMinimizer.h>`

## Static Public Attributes

static const char * | MAXIMAL_NUMBER_OF_ITERATIONS
static const char * | ENERGY_OUTPUT_FREQUENCY
static const char * | SNAPSHOT_FREQUENCY
static const char * | NUMBER_OF_ITERATION
static const char * | ENERGY_DIFFERENCE_BOUND
static const char * | MAX_SAME_ENERGY
static const char * | MAX_GRADIENT
static const char * | MAXIMUM_DISPLACEMENT

## Detailed Description

Option names

Definition at line 39 of file energyMinimizer.h.

## Member Data Documentation

## ENERGY_DIFFERENCE_BOUND

const char* BALL::EnergyMinimizer::Option::ENERGY_DIFFERENCE_BOUND

static

Energy difference bound

Definition at line 59 of file energyMinimizer.h.

## ENERGY_OUTPUT_FREQUENCY

const char* BALL::EnergyMinimizer::Option::ENERGY_OUTPUT_FREQUENCY

static

Energy output frequency

Definition at line 47 of file energyMinimizer.h.

## MAX_GRADIENT

const char* BALL::EnergyMinimizer::Option::MAX_GRADIENT

static

The maximum RMS gradient allowed for convergence. If the current rms gradient is below this one, we are converged.

Definition at line 69 of file energyMinimizer.h.

## MAX_SAME_ENERGY

const char* BALL::EnergyMinimizer::Option::MAX_SAME_ENERGY

static

The number of iterations without any change in energy. This is used to detect convergence.

Definition at line 64 of file energyMinimizer.h.

## MAXIMAL_NUMBER_OF_ITERATIONS

const char* BALL::EnergyMinimizer::Option::MAXIMAL_NUMBER_OF_ITERATIONS

static

Max number of iterations

Definition at line 43 of file energyMinimizer.h.

## MAXIMUM_DISPLACEMENT

const char* BALL::EnergyMinimizer::Option::MAXIMUM_DISPLACEMENT

static

Max shift of an atom per iteration

Definition at line 73 of file energyMinimizer.h.

## NUMBER_OF_ITERATION

const char* BALL::EnergyMinimizer::Option::NUMBER_OF_ITERATION

static

Number of iteration

Definition at line 55 of file energyMinimizer.h.

## SNAPSHOT_FREQUENCY

const char* BALL::EnergyMinimizer::Option::SNAPSHOT_FREQUENCY

static

Trajectory ouput frequency

Definition at line 51 of file energyMinimizer.h.